GNU bug report logs - #54357
[PATCH] gnu: kakoune: Clean up, and add a search path that makes it possible to package kak plugins in guix. (Plugins incoming soon.)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "(unmatched-parenthesis" <paren@HIDDEN>; Keywords: patch; Done: "(" <paren@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 54357 <at> debbugs.gnu.org and "(unmatched-parenthesis" <paren@HIDDEN> Request was from "(" <paren@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 4 Jun 2022 08:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 04:23:47 2022
Received: from localhost ([127.0.0.1]:57578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxP4V-0006hu-M5
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2022 04:23:47 -0400
Received: from mail-yb1-f173.google.com ([209.85.219.173]:39715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <calumirwin1@HIDDEN>) id 1nxP4R-0006hf-Lt
 for 54357 <at> debbugs.gnu.org; Sat, 04 Jun 2022 04:23:46 -0400
Received: by mail-yb1-f173.google.com with SMTP id f34so17475458ybj.6
 for <54357 <at> debbugs.gnu.org>; Sat, 04 Jun 2022 01:23:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=1ZLfMhYuM45tOg2jnpupu1i7dFLR1lMAjqho2a43XhA=;
 b=NknGwTsBMeCdFYFU4rICv233Glb1665uQZuupCq6sAJr3lR9GH5ZRyn8marnXPh31n
 YjUu23ExV5WUeXWDslhLYt8IMQF53pEvwny4uvxK9pwkAUNK/KPgoa5X5B5pxplsho5e
 PamtBDlrPgBsT/TNSt9IouoMSWc92VJU0/P9TDSYWND84BvcQ8myDm5EZ6a0j36oTYrQ
 XZ6a4LoWVRbL8oMYd2MLzwIXHK3Op3iRxuSf0fJoMXRR8Jdb85P6KNwMjK9U1fJU6QqW
 wPPCMcqC/ezr6QgmXx1Ua2QwTPiLxADRPeNlYBqI37Rto1T1QCnLH/Nkh+xGsHgkBDL/
 aNBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=1ZLfMhYuM45tOg2jnpupu1i7dFLR1lMAjqho2a43XhA=;
 b=hYi98TYafXjsBLViyxNJV3D2+/iI0ZC/qZS6P13BsBow8UdbUSGT3E3js3ac8XD8zB
 9COk04Y2bogPOMYCwuAf7ypLbv1ZQGcVc7850elROaUVBw/cA6azQfPuXhSFheGltGKd
 wZqY+A5BqZuk3sReM+d4oky3DEUfCBbhpzpuMdwV6ngjx89Jv1mrivpcmRSMtwWzGRue
 g3ZGoJ0hozpiyt6v/e0VE70LC7tUKEpotZTNGpjJIZoZs4Wb3O6uJO/hrzflHx9kBzlv
 W1wn/ox7QI1ey69pNDiasQbM1kxBUlIMfJaRYMr/gByNDSw2Dox9C0Vi/d5EQ8+aVcyb
 wN8g==
X-Gm-Message-State: AOAM531rAaLIlWqLetl/dJ9aG6TticXzOGUgHAcc79ddFVQYRWBodP4z
 GbWRnEYI7rMS2F3z5HI6cHddsSYgCwn/1bYmWgfVispXK3ZFnw==
X-Google-Smtp-Source: ABdhPJyGBGIO90nSvj8CZ3mW9puvjPVtWjIwp144qMHszsxP7qMQHkPbNUn8NdVzh284f7Mqm/zi5y1H+CCuueYNoWg=
X-Received: by 2002:a25:d10d:0:b0:65c:a85b:b546 with SMTP id
 i13-20020a25d10d000000b0065ca85bb546mr14083793ybg.111.1654331017962; Sat, 04
 Jun 2022 01:23:37 -0700 (PDT)
MIME-Version: 1.0
From: Calum Irwin <calumirwin1@HIDDEN>
Date: Sat, 4 Jun 2022 20:23:23 +1200
Message-ID: <CAH+jhzFFP9MYLzBC7m4SrBXYfZBFnJhnnf4hdm-gTYbDh4xN5Q@HIDDEN>
Subject: 
To: 54357 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I don't think you need (propagated-inputs (list kakoune))
 in each of these do you? and it's atypical of plugin packages to require the
 thing they plug into. 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (calumirwin1[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (calumirwin1[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.173 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.173 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54357
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I don't think you need (propagated-inputs (list kakoune))
   in each of these do you? and it's atypical of plugin packages to require the
    thing they plug into. 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.173 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.173 listed in wl.mailspike.net]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (calumirwin1[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (calumirwin1[at]gmail.com)
  2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

I don't think you need

(propagated-inputs (list kakoune))

in each of these do you? and it's atypical of plugin packages to
require the thing they plug into.




Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 14 Mar 2022 21:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 17:57:05 2022
Received: from localhost ([127.0.0.1]:46677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTsgb-0003EL-C9
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:57:05 -0400
Received: from knopi.disroot.org ([178.21.23.139]:59184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTsgZ-0003Dp-AS
 for 54357 <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:57:03 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7E9304009B;
 Mon, 14 Mar 2022 22:57:02 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id pA_Ad6dKjFnz; Mon, 14 Mar 2022 22:57:01 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647295016; bh=XDi3zPrIGWv53uLBjSPlykwS/bA7Y0bOzLb9HmLI9TI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Q/Lmd4PoaJuMRm7MeZ9ITTOjcBZzshbWOazk2j56zD2xssLfreGDekyOrjccE/cc1
 JjJs7ZE0i/r2dg/CDEjSi4BgSH+mUhkcmdyHOVcJBUEeUUhUMOwok0lZcU6hSAzcy8
 6AVzePCHq0w1dbgXBv/up//DRzkOBBagGBlh5ytKnVoKOItHvWO4yqaPhllk+6dReV
 CnvWZcVrwmw+Lxmr2vBU1SgNkGfBAqQW6frJCWQTLgiWwvcTGnFP9oqHlPeYXdPJbb
 APjEwUnPNjxythZ9ED+LSXVTzeot9goe2NUv73vSF6J6LBEeEjLW6juas8L7saIpqp
 LfR3fmBg3+fwg==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: Add kak-sudo-write
Date: Mon, 14 Mar 2022 21:56:40 +0000
Message-Id: <20220314215640.22822-4-paren@HIDDEN>
In-Reply-To: <20220314215640.22822-1-paren@HIDDEN>
References: <20220314215640.22822-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-sudo-write): New variable.
---
 gnu/packages/text-editors.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 08cd1a16d9..4b06b8c9bd 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -278,6 +278,31 @@ (define-public kak-auto-pairs
      (description "This package provides automatic pair completion for the Kakoune text editor.")
      (license license:unlicense))))
 
+(define-public kak-sudo-write
+  (let ((commit "ec0d6d26ceaadd93d6824630ba587b31e442214d")
+        (revision "0"))
+    (package
+     (name "kak-sudo-write")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/occivink/kakoune-sudo-write")
+             (commit commit)))
+       (sha256
+        (base32 "1c1wajm3c2aa0lda36y2yj2fvf4fbdqjl5ishh9p8qkjxbrb1v1v"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("sudo-write.kak" "share/kak/autoload/sudo-write.kak"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/occivink/kakoune-sudo-write")
+     (synopsis "Kakoune plugin to save files that you do not have write permissions for.")
+     (description "This package provides a Kakoune plugin that uses sudo to allow saving files that you
+do not have permission to write.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 14 Mar 2022 21:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 17:57:02 2022
Received: from localhost ([127.0.0.1]:46671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTsgY-0003DX-2H
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:57:02 -0400
Received: from knopi.disroot.org ([178.21.23.139]:58524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTsgW-0003DL-Fg
 for 54357 <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:57:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B94B94009E;
 Mon, 14 Mar 2022 22:56:59 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DaedvKCaYtpn; Mon, 14 Mar 2022 22:56:58 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647295015; bh=A17X/EYnGduBY3GSo8qu0vpM/ONt/Qvf+FwJtqwsdms=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Xt4exLpum0gwOV52y7zRdJ3z/oqJNH90gKPcXDtB+OaPpiYtVjMIPgfwONKhOkPMQ
 IeoUw4uSbOF6lhzAxlWzuSgSC9AwMZEVJuOeC8fJ0unN+pgvgmKuYLgZqTKrT7lNgf
 7ndWSTafJSmAowKnRjZxnrFQEp+4Huj48IZ+aZMPkWApNgnh+fwq0WuzpHxPoUhKvB
 0EeLSfOUZ7/AJ07yhl/VRaZeFa+GrjuzXy3YJeYV3Ie2hiZDSPXc8P5ESGVlCywPFo
 phw1jS379gbjRFMmhTjwPMStX/kqJQZdNNRNmDzf1GKN45/mmentTGUKUzStTZBSS1
 kluZEm4VleHtA==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: Add kak-auto-pairs
Date: Mon, 14 Mar 2022 21:56:39 +0000
Message-Id: <20220314215640.22822-3-paren@HIDDEN>
In-Reply-To: <20220314215640.22822-1-paren@HIDDEN>
References: <20220314215640.22822-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-auto-pairs): New variable.
---
 gnu/packages/text-editors.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 1d2f5c7062..08cd1a16d9 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -254,6 +254,30 @@ (define-public kak-lsp
 Rust.")
     (license license:unlicense)))
 
+(define-public kak-auto-pairs
+  (let ((commit "d78164b7936d45438ad5e382d2c16f05494ca74a")
+        (revision "0"))
+    (package
+     (name "kak-auto-pairs")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/alexherbo2/auto-pairs.kak")
+             (commit commit)))
+       (sha256
+        (base32 "1qar4r91km5389j9byrpjimy5r083pnfpzkigvxllklj6z0xyc0d"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("rc" "share/kak/autoload"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/alexherbo2/auto-pairs.kak")
+     (synopsis "An auto-pair plugin for Kakoune")
+     (description "This package provides automatic pair completion for the Kakoune text editor.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 14 Mar 2022 21:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 17:57:00 2022
Received: from localhost ([127.0.0.1]:46668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTsgV-0003DE-RC
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:57:00 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTsgU-0003D6-3M
 for 54357 <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:56:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5CC324009E;
 Mon, 14 Mar 2022 22:56:57 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id PTrqxLaJUUUE; Mon, 14 Mar 2022 22:56:56 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647295014; bh=uKgjxcpF7cxUcuorQTHki48h1uu4WspQTbXNxyTB18M=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=RkPUE5il1m/VxpIv2VYCYr8d00jel4rD3ACtr5NbAGIP4kcRd64cxVAh0rj1p0QRm
 xFMaXcA96ZyaWH/+ES8cORaLSo9wTmObsxZiIm8UORecYd8lTzVxr8DgGB8cLKxBt6
 ASCJlKImigZQ1+f9OeJwW75jTfJveMQNlt77x0Aovxzg4TvCxwIwvPkzor0cQr3DE9
 5cVEGyZM0JgRWTZzSN1aORQs/inX32wuBiHFbMx/OOHI0hC8AsjFPV+J/oH9DobIcS
 2KDL1J27BpVBBjYqNzo7eN/b55pWRFp2petBzXCt/Zb/8k67yGr3vj1kZCoVDEZ2Dp
 3aY6FTC2szpdQ==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: rust-parinfer: add phases to install the bundled Vim
 and Kakoune plugins
Date: Mon, 14 Mar 2022 21:56:38 +0000
Message-Id: <20220314215640.22822-2-paren@HIDDEN>
In-Reply-To: <20220314215640.22822-1-paren@HIDDEN>
References: <20220314215640.22822-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (rust-parinfer)[arguments]: Install the bundled Vim and Kak plugins to the
correct directories.
---
 gnu/packages/text-editors.scm | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index aff8bab9b0..1d2f5c7062 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -277,7 +277,18 @@ (define-public parinfer-rust
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-serde-derive" ,rust-serde-derive-1)
         ("rust-unicode-segmentation" ,rust-unicode-segmentation-1)
-        ("rust-unicode-width" ,rust-unicode-width-0.1))))
+        ("rust-unicode-width" ,rust-unicode-width-0.1))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'install-vim-plugin
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (copy-recursively "doc" (string-append out "/share/vim/vimfiles/doc"))
+               (copy-recursively "plugin" (string-append out "/share/vim/vimfiles/plugin")))))
+         (add-after 'install-vim-plugin 'install-kak-plugin
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (copy-recursively "rc" (string-append out "/share/kak/autoload"))))))))
     (inputs
      (list clang))
     (home-page "https://github.com/justinbarclay/parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 14 Mar 2022 21:56:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 17:56:56 2022
Received: from localhost ([127.0.0.1]:46665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTsgS-0003Cy-I3
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:56:56 -0400
Received: from knopi.disroot.org ([178.21.23.139]:56826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTsgP-0003Cm-Pq
 for 54357 <at> debbugs.gnu.org; Mon, 14 Mar 2022 17:56:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3D67540093;
 Mon, 14 Mar 2022 22:56:52 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id j7LTm4Bwq2Qa; Mon, 14 Mar 2022 22:56:51 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647295011; bh=UV4PQjkvI0HFgHs8geL6kSpT7xZiuo3b8V8PPk3ZWUg=;
 h=From:To:Cc:Subject:Date;
 b=I9cA7VdpxkbNfXsNPCBCtmDl12k7We/jwZAlmklaAQoG0S5x0hlMBok6iRG2nkj3Z
 w67e4dCZDFwKb4pWOT35g8DdrY6Ia3AOECgt9Hbf2/kXBwxM1UKPGewMqpCP4p8lC7
 93U+nYT8SivKD/p7B8GkFsTLQFfOa6FW73dVMOQbgTSnbCpabVIbeZTVjV38v/WnMC
 52/V3XAAZjyvdI+kq8blWo/NZqYHyv2jAX+Tf4uWrhySLbJvCHQnDYtH7jIgnV8X05
 jwEPkXktAz8OLnIEbiySQktTncIGWpEq/g3DVoouV08cM1qI6Kp/TO3q9DHOPahxA8
 6ybndXOq+ZOlw==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: kakoune: Clean up,
 and add a search path that makes it possible to package kak plugins
 in guix.
Date: Mon, 14 Mar 2022 21:56:37 +0000
Message-Id: <20220314215640.22822-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm(kakoune): Clean up package recipe, and add GUIX_KAKOUNE_DIRS search path.

Okay, I overengineered this... This patch set should definitely work. Promise.
---
 gnu/packages/text-editors.scm | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 45cc61765a..aff8bab9b0 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -17,6 +17,7 @@
 ;;; Copyright © 2021 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2021 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2021 Calum Irwin <calumirwin1@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -41,6 +42,7 @@ (define-module (gnu packages text-editors)
   #:use-module (guix utils)
   #:use-module (guix build-system cargo)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system copy)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system python)
@@ -187,14 +189,17 @@ (define-public kakoune
              (substitute* "src/shell_manager.cc"
                (("if \\(m_shell.empty\\(\\)\\)" line)
                 (string-append "m_shell = \"" (which "sh")
-                               "\";\n        " line)))
-             #t))
+                               "\";\n        " line)))))
          (delete 'configure)            ; no configure script
          ;; kakoune requires us to be in the src/ directory to build.
          (add-before 'build 'chdir
-           (lambda _ (chdir "src") #t)))))
+           (lambda _ (chdir "src"))))))
     (native-inputs
      (list asciidoc pkg-config ruby))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "KAKOUNE_RUNTIME")
+            (files '("share/kak")))))
     (synopsis "Vim-inspired code editor")
     (description
      "Kakoune is a code editor heavily inspired by Vim, as such most of its
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 13 Mar 2022 22:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 18:16:31 2022
Received: from localhost ([127.0.0.1]:43501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTWVr-0008Nr-Ei
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:31 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTWVq-0008Nc-5l
 for 54357 <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 89A42400CB;
 Sun, 13 Mar 2022 23:16:29 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 8yTN84qJKLg1; Sun, 13 Mar 2022 23:16:28 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647209788; bh=Zxpof8N/JETpOkM5ij5O84PlsunrR9pPv4QpUxzdoQs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=D6/oL0Wa0IrFltcRm6BrT9o/kS9eP9DD/CjEGTnASwz6ukMmeVSXEZ0BN+x+hJG+b
 /C/X+FUo6Yf0GkGNIRRxZUFN2S06OJ2ETLpRcpWW3M63CcW38TD6NDEWPinvQRGWaD
 sHgEP0Sit6aTKBw8FcmhIJ2/PIFe/RkJwAciT6MXFSv1tHvKF+S8SV4M3qu7Z9qcel
 U6w6Mc135Ih36SuMyFWHVDWaMR9WUhkAhHAWD0hH0rIfBPdPaG+yXhYCpvXOmVapj5
 WxikhCPaNu2xqkEi3q1mW/zEixx1rKZGg1CW4tGZCuBE+AoVoGcMcU8gUBlf/qmP1S
 MYeuSflWYIBUg==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: Add kak-sudo-write
Date: Sun, 13 Mar 2022 22:16:04 +0000
Message-Id: <20220313221604.7686-4-paren@HIDDEN>
In-Reply-To: <20220313221604.7686-1-paren@HIDDEN>
References: <20220313221604.7686-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-sudo-write): New variable.
---
 gnu/packages/text-editors.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 1da94e1066..5eed162ab5 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -293,6 +293,31 @@ (define-public kak-auto-pairs
      (description "This package provides automatic pair completion for the Kakoune text editor.")
      (license license:unlicense))))
 
+(define-public kak-sudo-write
+  (let ((commit "ec0d6d26ceaadd93d6824630ba587b31e442214d")
+        (revision "0"))
+    (package
+     (name "kak-sudo-write")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/occivink/kakoune-sudo-write")
+             (commit commit)))
+       (sha256
+        (base32 "1c1wajm3c2aa0lda36y2yj2fvf4fbdqjl5ishh9p8qkjxbrb1v1v"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("sudo-write.kak" "share/kak/autoload/sudo-write.kak"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/occivink/kakoune-sudo-write")
+     (synopsis "Kakoune plugin to save files that you do not have write permissions for.")
+     (description "This package provides a Kakoune plugin that uses sudo to allow saving files that you
+do not have permission to write.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 13 Mar 2022 22:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 18:16:30 2022
Received: from localhost ([127.0.0.1]:43498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTWVq-0008Nd-5y
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:30 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTWVo-0008NR-Je
 for 54357 <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 2F4E94009E;
 Sun, 13 Mar 2022 23:16:26 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id MVz57Sn0MwlE; Sun, 13 Mar 2022 23:16:24 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647209784; bh=QnQJhZUDCJ7cOP8L56me0eAXhrO24ttTqGacfBAVtHM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ZeMODrYCDwBCCzhvWPspqK2YOXGsraH+MlkSaQgM+95j9kMmpo3vZZqYMdaju0cGM
 1fIJLY1yUUbURcVzIaJ1V8BthKNpX48Pr5QPsXPxE7TBrtTDhr9jADqOUtVE8XomJa
 mJ1XDuPgpve1uZtv4uFvsXXXbsnAe/ADaAAYfOVJ9xL9lqlZREoThwqJhOL73uhYhC
 mZ/xcMEOmt/3rxW3PRgBfxa1Y5HaXCGg7IxxKvtBKygop1o3+RnfIWaaQuJF29+7tc
 ZYfjGWL18dVwwpJJtI/ypuiOfE4efX2X9EkT1WZ7uM63uDXhpN+kxUuxvtb8TSp0UI
 OizGPPtAVaR9g==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: Add kak-auto-pairs
Date: Sun, 13 Mar 2022 22:16:03 +0000
Message-Id: <20220313221604.7686-3-paren@HIDDEN>
In-Reply-To: <20220313221604.7686-1-paren@HIDDEN>
References: <20220313221604.7686-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-auto-pairs): New variable.
---
 gnu/packages/text-editors.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 229e9f9112..1da94e1066 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -269,6 +269,30 @@ (define-public kak-lsp
 Rust.")
     (license license:unlicense)))
 
+(define-public kak-auto-pairs
+  (let ((commit "d78164b7936d45438ad5e382d2c16f05494ca74a")
+        (revision "0"))
+    (package
+     (name "kak-auto-pairs")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/alexherbo2/auto-pairs.kak")
+             (commit commit)))
+       (sha256
+        (base32 "1qar4r91km5389j9byrpjimy5r083pnfpzkigvxllklj6z0xyc0d"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("rc" "share/kak/autoload"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/alexherbo2/auto-pairs.kak")
+     (synopsis "An auto-pair plugin for Kakoune")
+     (description "This package provides automatic pair completion for the Kakoune text editor.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 13 Mar 2022 22:16:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 18:16:26 2022
Received: from localhost ([127.0.0.1]:43495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTWVl-0008NH-Sb
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:26 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTWVj-0008N8-Vz
 for 54357 <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 58B154009B;
 Sun, 13 Mar 2022 23:16:22 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id reE_A_8rW2K3; Sun, 13 Mar 2022 23:16:21 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647209780; bh=e9gvc0t99NjzSTmy14f66ytOKntxOXnjaKvTJTaW8LU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=jCakYGeN0hsbuYnTLq1kcRINV9btKUexlXtAsclPpwRB5URB4WIImusabCOtGAXgJ
 kbD17zDGybYbDuNyqLVlVYjqylkXNqtyUvUEzSvhtsh7uAtqFFHOJ08f0FtHITUs1r
 gAu2Vn/jlRwPk+AJQpVENo4Ui8EP91nX8DQvMq2l/JBVU9Lidec6CLPlbabfqV1qVC
 gQmBUaOE/Pw0NJoiffb3RhkqEFNhyH0BVQlAnHnB+MalUixcuvpi4MF8ap8WOvvJAm
 2U9ddbwu2fpv84V00gtdYr+EDkdPLfizkc8XTVSCKT3UUPX1P/xCZvGES0VRslnLbg
 6X0IOhsaDMEtw==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: rust-parinfer: add phases to install the bundled Vim
 and Kakoune plugins
Date: Sun, 13 Mar 2022 22:16:02 +0000
Message-Id: <20220313221604.7686-2-paren@HIDDEN>
In-Reply-To: <20220313221604.7686-1-paren@HIDDEN>
References: <20220313221604.7686-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (rust-parinfer)[arguments]: Install the bundled Vim and Kak plugins to the
correct directories.
---
 gnu/packages/text-editors.scm | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 96e070807d..229e9f9112 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -292,7 +292,18 @@ (define-public parinfer-rust
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-serde-derive" ,rust-serde-derive-1)
         ("rust-unicode-segmentation" ,rust-unicode-segmentation-1)
-        ("rust-unicode-width" ,rust-unicode-width-0.1))))
+        ("rust-unicode-width" ,rust-unicode-width-0.1))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'install-vim-plugin
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (copy-recursively "doc" (string-append out "/share/vim/vimfiles/doc"))
+               (copy-recursively "plugin" (string-append out "/share/vim/vimfiles/plugin")))))
+         (add-after 'install-vim-plugin 'install-kak-plugin
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (copy-recursively "rc" (string-append out "/share/kak/autoload"))))))))
     (inputs
      (list clang))
     (home-page "https://github.com/justinbarclay/parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 13 Mar 2022 22:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 18:16:20 2022
Received: from localhost ([127.0.0.1]:43492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTWVg-0008Mz-II
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:20 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTWVe-0008Mp-CC
 for 54357 <at> debbugs.gnu.org; Sun, 13 Mar 2022 18:16:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 84F89400B4;
 Sun, 13 Mar 2022 23:16:16 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Iq33NBdVNldh; Sun, 13 Mar 2022 23:16:15 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647209775; bh=8rhHHU0T4dMPWgM9kazsRPokLQiZxZUkE8i6q2+nXhs=;
 h=From:To:Cc:Subject:Date;
 b=Kndc15rNqsvSVIf+PyHnngvPMwnRO5LurlWpt1kklIspeLkvxYGSbJORqPdDOIQ49
 sjE0Z6qLGqSIOnpBP7O9wzBK5Ob8pVf2pOGC2lZj+PLuFEUMyf7C0Hciu/It6Kvlg2
 cDi6mNE7j4JtUwKpxWM/ytW0TLrolynl3cwuF22UOk9boHoPBU+wno+8ci7tjIs+Ql
 o+F6pjWR1StcMjxEUUKJmIPzkQxebocgfEs2quHeMxSDOpJUfC7aqv2VwWYbFDMbWc
 rmXyw0rhZfNpPl+DbLXhA15mJMD6NxaDavbVqdaSnKobJh+goBh8wRg3ogKZD/iltG
 pTFz4WocXGBAw==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: kakoune: Clean up,
 and add a search path that makes it possible to package kak plugins
 in guix.
Date: Sun, 13 Mar 2022 22:16:01 +0000
Message-Id: <20220313221604.7686-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm(kakoune): Clean up package recipe, and add GUIX_KAKOUNE_DIRS search path.

Argh! That for loop makes kak source the default kakrc twice! This rebased patch series fixes that.

(I also added copy-build-system to use-modules so that we can install kak plugins properly, which was missing 
from my patch. I didn't notice it while I was doing `git add -p` :))
---
 gnu/packages/text-editors.scm | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 45cc61765a..96e070807d 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -17,6 +17,7 @@
 ;;; Copyright © 2021 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2021 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2021 Calum Irwin <calumirwin1@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -41,6 +42,7 @@ (define-module (gnu packages text-editors)
   #:use-module (guix utils)
   #:use-module (guix build-system cargo)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system copy)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system python)
@@ -187,14 +189,32 @@ (define-public kakoune
              (substitute* "src/shell_manager.cc"
                (("if \\(m_shell.empty\\(\\)\\)" line)
                 (string-append "m_shell = \"" (which "sh")
-                               "\";\n        " line)))
-             #t))
+                               "\";\n        " line)))))
          (delete 'configure)            ; no configure script
          ;; kakoune requires us to be in the src/ directory to build.
          (add-before 'build 'chdir
-           (lambda _ (chdir "src") #t)))))
+           (lambda _ (chdir "src")))
+         (add-before 'install 'patch-kakrc
+           (lambda _
+             (chdir "..")
+             ;; here, we modify the default kakrc to source all the $pkg/share/kak/autoload/*.kak
+             ;; files automatically.
+             (substitute* "share/kak/kakrc"
+               (("if \\[ -d \"\\$\\{kak_config}/autoload\" \\]; then .* fi")
+                "\
+for dir in $(echo ${GUIX_KAKOUNE_CONFIG_DIRS} | sed 's/:/\\/autoload /g'); do
+        if [ -d ${dir} ]; then
+		autoload_directory ${dir}
+	fi
+done")))))))
     (native-inputs
      (list asciidoc pkg-config ruby))
+    (native-search-paths
+     (list (search-path-specification
+            ;; kakoune only supports one config dir, so we use this instead, so that we can
+            ;; modify the default kakrc to source all the autoloads.
+            (variable "GUIX_KAKOUNE_CONFIG_DIRS")
+            (files '("share/kak/")))))
     (synopsis "Vim-inspired code editor")
     (description
      "Kakoune is a code editor heavily inspired by Vim, as such most of its
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 12 Mar 2022 23:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 18:21:13 2022
Received: from localhost ([127.0.0.1]:41145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTB2v-0004TX-Dv
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2022 18:21:13 -0500
Received: from knopi.disroot.org ([178.21.23.139]:58006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTB2t-0004TM-0A
 for 54357 <at> debbugs.gnu.org; Sat, 12 Mar 2022 18:21:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 746C6400C0;
 Sun, 13 Mar 2022 00:21:09 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Vwvdmitr2DDk; Sun, 13 Mar 2022 00:21:07 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647127267; bh=7ez2wgUDk7lCQlf2O5aBozN+HUjZ1ZLl2kdPa8iyAu0=;
 h=From:To:Cc:Subject:Date;
 b=Tzg+Wj/XW630jNUl42GONU9YNP+47Ju0rUMn6ZIXcVulKAReHcEsPzo/1EPSlGaUw
 di26ju3bYYhsVeE7IdRjcB8ybXqsJWyBSOPuz92zWeLZlnphoMRGmRWIg5RsWUv9BC
 IUyuaYNLJOUStvnj3joF683KioB4gtt+I3tA/entx7VGjfvt5nrxtNcEdxTKGMoMJI
 IbIc+lOKzqetOzL+K0kkjbPYmlyfR8Kzf2AAmOdqG+GdRnDznR8Rbcz8a38uAG808l
 7/Q91aoQMS51iwvECFYpXfjCnE9wsurxtiAhoi2FU1D8WbdHAfrcBZe4tPmcQI1TAH
 JMzxqveqff35g==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add kak-sudo-write
Date: Sat, 12 Mar 2022 23:20:57 +0000
Message-Id: <20220312232057.16605-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-sudo-write): New variable.
---
 gnu/packages/text-editors.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index d1fa1bd28a..a436df48ce 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -293,6 +293,31 @@ (define-public kak-auto-pairs
      (description "This package provides automatic pair completion for the Kakoune text editor.")
      (license license:unlicense))))
 
+(define-public kak-sudo-write
+  (let ((commit "ec0d6d26ceaadd93d6824630ba587b31e442214d")
+        (revision "0"))
+    (package
+     (name "kak-sudo-write")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/occivink/kakoune-sudo-write")
+             (commit commit)))
+       (sha256
+        (base32 "1c1wajm3c2aa0lda36y2yj2fvf4fbdqjl5ishh9p8qkjxbrb1v1v"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("sudo-write.kak" "share/kak/autoload/sudo-write.kak"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/occivink/kakoune-sudo-write")
+     (synopsis "Kakoune plugin to save files that you do not have write permissions for.")
+     (description "This package provides a Kakoune plugin that uses sudo to allow saving files that you
+do not have permission to write.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 12 Mar 2022 22:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 17:41:14 2022
Received: from localhost ([127.0.0.1]:41056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTAQE-0007S0-JN
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2022 17:41:14 -0500
Received: from knopi.disroot.org ([178.21.23.139]:37924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTAQC-0007Rj-Or
 for 54357 <at> debbugs.gnu.org; Sat, 12 Mar 2022 17:41:13 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 1547D400D3;
 Sat, 12 Mar 2022 23:41:12 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SxV4UFX8t6an; Sat, 12 Mar 2022 23:41:10 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647124867; bh=3lAYWUOf+WH816sKidNp1ChCdDa2ZierZYXKqR/HquQ=;
 h=From:To:Cc:Subject:Date;
 b=AQHogZfuN0Tj+GYdYCh6mkmEipwVByRHEKobdqX7h2CEwcAbosY8oG+JpdanaFwqS
 1yMZJ/c5sB7RRWvk5+qbKNbLdICerbHuRP/1/kzi+smy58CQx1pZ6VRuj3yonHZsmN
 dd8SvdqMVkN4wx5mX6Z3hZ7rJR9Gwp9me1R+rZ5rZy4Sxe7f7l+HoO0frx4rLQ+ztW
 sirvyDTFB+ZYezYNLPM9RNWrtTMdYVzRPJlwr6Ovv2as2/HYkhbSFw6WVjnM9PH7Jk
 TUlGpr0vJAOMwikqQ5zqV+GOVDysz0MzEfFEcau7EVbyRtftxsE7WONjcANxoNrZN1
 3lS4TdbM6HGZg==
To: 54357 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add kak-auto-pairs
Date: Sat, 12 Mar 2022 22:40:54 +0000
Message-Id: <20220312224054.24491-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/text-editors.scm (kak-auto-pairs): New variable.
---
 gnu/packages/text-editors.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index bbfbcdd226..d1fa1bd28a 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -269,6 +269,30 @@ (define-public kak-lsp
 Rust.")
     (license license:unlicense)))
 
+(define-public kak-auto-pairs
+  (let ((commit "d78164b7936d45438ad5e382d2c16f05494ca74a")
+        (revision "0"))
+    (package
+     (name "kak-auto-pairs")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/alexherbo2/auto-pairs.kak")
+             (commit commit)))
+       (sha256
+        (base32 "1qar4r91km5389j9byrpjimy5r083pnfpzkigvxllklj6z0xyc0d"))))
+     (build-system copy-build-system)
+     (arguments
+      `(#:install-plan
+        '(("rc" "share/kak/autoload"))))
+     (propagated-inputs (list kakoune))
+     (home-page "https://github.com/alexherbo2/auto-pairs.kak")
+     (synopsis "An auto-pair plugin for Kakoune")
+     (description "This package provides automatic pair completion for the Kakoune text editor.")
+     (license license:unlicense))))
+
 (define-public parinfer-rust
   (package
     (name "parinfer-rust")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at 54357 <at> debbugs.gnu.org:


Received: (at 54357) by debbugs.gnu.org; 12 Mar 2022 22:33:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 17:33:52 2022
Received: from localhost ([127.0.0.1]:41048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTAJ6-0007Gv-Kf
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2022 17:33:52 -0500
Received: from knopi.disroot.org ([178.21.23.139]:34508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nTAJ4-0007Gk-9u
 for 54357 <at> debbugs.gnu.org; Sat, 12 Mar 2022 17:33:51 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 77E57400C8
 for <54357 <at> debbugs.gnu.org>; Sat, 12 Mar 2022 23:33:48 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 4tZ_FWzmEhXY for <54357 <at> debbugs.gnu.org>;
 Sat, 12 Mar 2022 23:33:47 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647124427; bh=E9V7ao3nGj1RZXReUnteAlgJhB3Hw1aHS/mla96aFrE=;
 h=Date:From:Subject:To:In-Reply-To:References;
 b=GGSfg/X1/yCERqotTtmqX+CkPFuanIx03GETp8YXfGfwFDM550ixGnbe92h5FOu31
 Fi7XZ9W/Vmg6k3YrXn59hinB+OL7h/Rf+jIodjUDiZT3aeE//mRQP0+dGANyTYzUeH
 cQHZeAArdmKcnXK9b0o/wFFZG7bF6eqGtwsG+TouVHSxOc+CYndizHEMsYgGA8u5MR
 70vAwKtAlrIOL/nkMv1JcA7ViVXgwfviM0bXhVM8EzzCvxzHuhD9vMpZBUfkDzB30R
 aP1O37iTg0SUeWxTPm5SQbWauxH8nj/Hk28lfl/oV1bRxjTk2DgaRLwQF+TzwXGGAv
 pHbds6yuX0bbg==
Date: Sat, 12 Mar 2022 22:33:47 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: paren@HIDDEN
Message-ID: <8eb1e52e40e5021281cf3e34ac777f81@HIDDEN>
Subject: Re: [PATCH] gnu: kakoune: Clean up, and add a search path that
 makes it possible to package kak plugins in guix. (Plugins incoming soon.)
To: 54357 <at> debbugs.gnu.org
In-Reply-To: <d119bec222e729f592d4d79f8e9c3a92@HIDDEN>
References: <d119bec222e729f592d4d79f8e9c3a92@HIDDEN>
 <20220312210940.15397-1-paren@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54357
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

March 12, 2022 9:10 PM, "(unmatched-parenthesis" <paren@HIDDEN> wrot=
e:
> I'll send in a few plugins in a moment. These will act as both examples=
 of the search path
> working and of course useful packages in themselves.

Noting the existence of #54358, which is a separate thread because it als=
o adds the related vim
plugin.




Information forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Mar 2022 21:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 16:10:20 2022
Received: from localhost ([127.0.0.1]:40935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nT90G-0002vN-Go
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2022 16:10:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:49172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nT90F-0002vF-6A
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2022 16:10:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35762)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1nT90E-0005MD-2O
 for guix-patches@HIDDEN; Sat, 12 Mar 2022 16:10:18 -0500
Received: from knopi.disroot.org ([178.21.23.139]:55514)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1nT90A-0002La-1X
 for guix-patches@HIDDEN; Sat, 12 Mar 2022 16:10:16 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id ADB1740072;
 Sat, 12 Mar 2022 22:10:08 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id nznIvS9fP-dO; Sat, 12 Mar 2022 22:10:07 +0100 (CET)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647119406; bh=9d/snAVl28Jg00psS2cG9FkYksB/VO4ShvJmMW44Tx8=;
 h=From:To:Cc:Subject:Date;
 b=f/4anuRfYuE1AVp5QPSs2rfmMjClEaeMRfPQkY53D7N+Hmvza6fWvbfp5DIRLQW5J
 TyWtUU3jyS3zs/U575eDC3Mxi0ZAXBFxlTV+E343YKPA+ghhUzrx7BkSWmfwBJ0tj3
 Lb+yuZeM2LrEFp9urK1cLzNTOkWUfnPL4uwt/tuEbJ6+Y5hdCL88n93oUE48OKNOG5
 +sXchv+3zHD8gFpfXSmi1xiLljOvqjaR5wkqYHjpL8t0MPmPI8HE6hAKAztJ8f85w/
 mg+tbHV99mLdWFMPUGt6HJFgemw6lYSDM6tO7bsPXKrGFfYyClr0mMnNE/oqKD7Jfl
 l0KQW7tPuwSZg==
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: kakoune: Clean up,
 and add a search path that makes it possible to package kak plugins
 in guix. (Plugins incoming soon.)
Date: Sat, 12 Mar 2022 21:09:40 +0000
Message-Id: <20220312210940.15397-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=178.21.23.139; envelope-from=paren@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/text-editors.scm(kakoune): Remove the redundant `#t`s, and add a $GUIX_KAKOUNE_CONFIG_DIRS search path.

While trying to package a kak plugin, I realized that the kak package itself was missing a
search path. However, kak appears to allow only one config path, so I inject a for loop into
the default kakrc (with a hacky substitute* because i cannot be bothered preparing a path :)
which enumerates the paths in $GUIX_KAKOUNE_CONFIG_DIRS and sources all their kakfiles.

I'll send in a few plugins in a moment. These will act as both examples of the search path
working and of course useful packages in themselves.

I also took the opportunity to clean the package up a little, removing the now unneccesary
`#t`s returned at the end of each phase. I was going to change it to use git instead of 
github release tarballs too (I'm told that git clones are better because of Software Heritage), 
but I'm hesitant to make that change without checking first.
---
 gnu/packages/text-editors.scm | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 45cc61765a..6d562d0e4a 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -17,6 +17,7 @@
 ;;; Copyright © 2021 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2021 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2021 Calum Irwin <calumirwin1@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -187,14 +188,33 @@ (define-public kakoune
              (substitute* "src/shell_manager.cc"
                (("if \\(m_shell.empty\\(\\)\\)" line)
                 (string-append "m_shell = \"" (which "sh")
-                               "\";\n        " line)))
-             #t))
+                               "\";\n        " line)))))
          (delete 'configure)            ; no configure script
          ;; kakoune requires us to be in the src/ directory to build.
          (add-before 'build 'chdir
-           (lambda _ (chdir "src") #t)))))
+           (lambda _ (chdir "src")))
+         (add-before 'install 'patch-kakrc
+           (lambda _
+             (chdir "..")
+             ;; here, we modify the default kakrc to source all the $pkg/share/kak/autoload/*.kak
+             ;; files automatically.
+             (substitute* "share/kak/kakrc"
+               (("echo \"colorscheme default\"" colorscheme-default)
+                (string-append colorscheme-default "
+for dir in $(echo ${GUIX_KAKOUNE_CONFIG_DIRS} | sed 's/:/\\/autoload /g'); do
+        if [ -d ${dir} ]; then
+		autoload_directory ${dir}
+	fi
+done
+"))))))))
     (native-inputs
      (list asciidoc pkg-config ruby))
+    (native-search-paths
+     (list (search-path-specification
+            ;; kakoune only supports one config dir, so we use this instead, so that we can
+            ;; modify the default kakrc to source all the autoloads.
+            (variable "GUIX_KAKOUNE_CONFIG_DIRS")
+            (files '("share/kak/")))))
     (synopsis "Vim-inspired code editor")
     (description
      "Kakoune is a code editor heavily inspired by Vim, as such most of its
-- 
2.34.0





Acknowledgement sent to "(unmatched-parenthesis" <paren@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54357; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 26 Sep 2022 06:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.